#!/usr/bin/perl -w
#
# Copyright (C) 2001,2002 asdfGroup.com Inc. All rights reserved.
#
# This library is a commercial product and it is subject to the license
# agreement that can be found at the following URL:
#   http://www.asdfGroup.com/license.html
# Please contact our staff if you will have any questions:
#   mailto:staff@asdfGroup.com
#

use strict;

sub MEM_used{ ((Cat("/proc/self/status") or die $!) =~ /VmRSS:\s*(\d*)/)[0] };

sub FD_used {
    local *FD; opendir FD, "/proc/self/fd";
    return @{[readdir FD]} - 2;
};

sub CPU_used { (map {$_->[13]+$_->[14]} [split " ", Cat("/proc/self/stat")])[0] }

{ my %start = (tm => 0, cpu => 0);
sub CPU_start { @start{"tm","cpu"} = (POWER::lib::time(),CPU_used()) }
sub CPU_max {
    my ($max, $real, $cpu) = ($_[0], POWER::lib::time()-$start{tm},
        CPU_used()-$start{cpu});
    return unless defined($max) and $max > 0;
    POWER::lib::sleep( $cpu/$max-$real );
}}

1;
