#!/usr/bin/perl -w
use Test;
BEGIN { plan tests => 6 }
BEGIN { unshift @INC, "../blib/lib" } 
use POWER::lib;

$out    = EncUri();
ok($out, '',                "without params");

$plain = 'Programming Perl';
$wait  = 'Programming%20Perl';
$out    = EncUri($plain);
ok($out, $wait,             "enc space");

$out    = UnEncUri($out);
ok($out, $plain,            "unenc space");

$plain = "Programming Perl\n";
$wait  = 'Programming Perl%0A';
$out    = EncUri($plain, qr/[\n]/);
ok($out, $wait,             "enc enter");

$out    = UnEncUri($out);
ok($out, $plain,            "unenc enter");

$wait	= "Hello World";
$out	= UnEncUri("Hello+World");
ok($out, $wait,		    "unenc + to space");

