#!/usr/bin/perl -w
use Test; 
BEGIN { plan tests => 7 }
BEGIN { unshift @INC, "../blib/lib" }
use POWER::lib qw(CPU_start CPU_max CPU_used time);

$t0 = time();
1 while time()-$t0 < 0.5;
CPU_max(33);
$t1 = time();
ok(($t1-$t0)>=1, 1,         "max without start, no lesser than 1 sec");
ok(($t1-$t0)<=2, 1,         "max without start, no greater than 2 sec");

$t0 = time();
CPU_max();
$t1 = time();
ok(($t1-$t0)<0.001, 1,      "max 100%, don't sleep");

$used   = CPU_used() / 100;
$t0 = time(); 1 while time()-$t0 < 0.2;
$used2  = CPU_used() / 100;
ok(($used2-$used)>=0.1, 1,  "used, no lesser than 0.1 sec");
ok(($used2-$used)<=0.3, 1,  "used, no greater than 0.3 sec");

$t0 = time();
CPU_start();
1 while time()-$t0 < 0.5;
CPU_max(33);
$t1 = time();
ok(($t1-$t0)>=1, 1,         "max with start, no lesser than 1 sec");
ok(($t1-$t0)<=2, 1,         "max with start, no greater than 2 sec");

